Last Comment Bug 737028 - Re-enable pedantic builds on Linux 32 bit mozconfigs
: Re-enable pedantic builds on Linux 32 bit mozconfigs
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 14.0
Assigned To: Mark Banner (:standard8)
:
Mentors:
Depends on:
Blocks: 703232
  Show dependency treegraph
 
Reported: 2012-03-19 07:51 PDT by Mark Banner (:standard8)
Modified: 2012-04-20 06:04 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed
fixed
12+
fixed


Attachments
Buildbot-configs patch (3.59 KB, patch)
2012-03-19 07:51 PDT, Mark Banner (:standard8)
jhopkins: review+
Details | Diff | Splinter Review
comm-central patch (1.03 KB, patch)
2012-03-19 07:52 PDT, Mark Banner (:standard8)
jhopkins: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑esr10+
Details | Diff | Splinter Review
Fix buildbot-configs for esr/release (3.16 KB, patch)
2012-04-17 14:48 PDT, Mark Banner (:standard8)
jhopkins: review+
Details | Diff | Splinter Review

Description Mark Banner (:standard8) 2012-03-19 07:51:43 PDT
Created attachment 607164 [details] [diff] [review]
Buildbot-configs patch

Way back just before we moved to libxul/ipc based builds, we had some hacks in our makefiles to get away with keep on being broken by pedantic compiler raised issues, when Firefox were disabling it for parts of libxul based builds.

The hack was to add -disable-pedantic.

We long since switched to libxul and IPC enabled builds, so we should just remove those hacks. Try server has been this way forever, if not a long time ;-)
Comment 1 Mark Banner (:standard8) 2012-03-19 07:52:44 PDT
Created attachment 607165 [details] [diff] [review]
comm-central patch
Comment 2 John Hopkins (:jhopkins) 2012-03-20 06:56:31 PDT
Per IRC, we'll also want to change the Linux 'release' mozconfigs at the end of the cycle when we release Thunderbird 12.
Could change esr10 mozconfigs at the same time?
Comment 3 Mark Banner (:standard8) 2012-03-20 07:01:24 PDT
Comment on attachment 607165 [details] [diff] [review]
comm-central patch

Checked in the comm-central patch:

http://hg.mozilla.org/comm-central/rev/c7c25f9da0cf
Comment 4 Mark Banner (:standard8) 2012-03-20 07:02:49 PDT
Comment on attachment 607164 [details] [diff] [review]
Buildbot-configs patch

Checked in:

http://hg.mozilla.org/build/buildbot-configs/rev/d0594738b150
Comment 5 Mark Banner (:standard8) 2012-03-20 07:21:29 PDT
Comment on attachment 607165 [details] [diff] [review]
comm-central patch

[Triage Comment]
We landed the configs on aurora as well, so we should take this there to be consistent.
Comment 6 Mark Banner (:standard8) 2012-03-20 07:21:48 PDT
(or rather, they landed before the merge)
Comment 7 Mark Banner (:standard8) 2012-03-20 07:22:59 PDT
Checked into aurora:

http://hg.mozilla.org/releases/comm-aurora/rev/2b4efa4fca28

Also setting flags so we track this for the 12 final release and the 12 ESR equivalent.
Comment 8 Mark Banner (:standard8) 2012-04-17 14:48:12 PDT
Created attachment 615889 [details] [diff] [review]
Fix buildbot-configs for esr/release

This is the patch that's ready to land for release of 12/esr10.
Comment 9 Mark Banner (:standard8) 2012-04-20 02:08:03 PDT
Due to the releases, I've landed the last patch pending review:

http://hg.mozilla.org/build/buildbot-configs/rev/c6644699b3e5
Comment 10 Mark Banner (:standard8) 2012-04-20 05:59:46 PDT
Comment on attachment 607165 [details] [diff] [review]
comm-central patch

[Triage Comment]
Taking this onto esr as well, as we'll need it there, and currently its NPOTB.
Comment 11 Mark Banner (:standard8) 2012-04-20 06:04:50 PDT
Checked in:

http://hg.mozilla.org/releases/comm-esr10/rev/8d17ead73857

Note You need to log in before you can comment on or make changes to this bug.